Summary: Tiny BASIC interpreter with screen I/O
Copyright: distributable
Name: basic-c
# I just assigned it this version number since the source didn't say
Version: 1.1
Release: 1
Group: Development/Languages
Source: basic-c.zip
#Source: ftp://ftp.yaroslavl.su/pub/msdos/language/c/basic-c.arj
Patch: basic-c.patch
Packager: Dan Fandrich <dan@fch.wimsey.bc.ca>
Prefix: /usr
BuildRoot: /tmp/basic-c-root

%description
This basic interpreter is derived from Herb Schildt's interpreter
in the book "C: Power User's Guide".  It has been extensively rewriting
for compatibility, and also ported to UNIX.  This patched version 
displays the line number on an error and does not clear the screen
on program exit.

%prep
%setup -c -T
unzip -aL ${RPM_SOURCE_DIR}/basic-c
%patch

%build
make -fmakefile.usg

%install
mv basic basic-c
install -d ${RPM_BUILD_ROOT}/usr/bin
install -m 755 -s basic-c ${RPM_BUILD_ROOT}/usr/bin

%files
%attr(-,root,root) %doc basic.doc defines.h
%attr(-,root,root) %doc test1.bas test2.bas test3.bas test4.bas test5.bas test6.bas test7.bas test8.bas
%attr(-,root,root) /usr/bin/basic-c
